unit LDN164u1;

{$mode objfpc}{$H+}

interface


uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls;

const vers='27 Sep 20';

type

  { TLDN164f1 }

  TLDN164f1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    laTxtEditBox: TLabel;
    laTxtLabel: TLabel;
    laTxtPennies: TLabel;
    laTxtPennies1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    iTmp,iTaxRate:integer;
    sTmp:string;
  public

  end;

var
  LDN164f1: TLDN164f1;

implementation

{$R *.lfm}

{ TLDN164f1 }

procedure TLDN164f1.FormCreate(Sender: TObject);
begin
  iTaxRate:=5;
  Edit1.text:='';
  Label1.caption:='';
  top:=750;
  LDN164f1.caption:='LDN164, version '+vers;
end;

procedure TLDN164f1.Button1Click(Sender: TObject);
var siTmp:single;
  //iTmp is used first for error code returned by val, and
  //later inside the "caluclate tax" part.
begin
  sTmp:=Edit1.text;
  val(sTmp,siTmp,iTmp);//string to convert, where to return, error code. 0=none
  if iTmp<>0 then begin
     label1.caption:='Enter integer in edit box';
     end //no ; here. End of "then..."
    else begin
     siTmp:=(siTmp*iTaxRate)/100;
     iTmp:=round(siTmp);
     Label1.caption:=inttostr(iTmp);
     end;//of "else"
end;//Of Button1Click

procedure TLDN164f1.FormActivate(Sender: TObject);
begin
  Edit1.setfocus;
end;

end.

